import numpy as np
from scipy import io
import os
import torch
view_train = dict()
view_test = dict()
path = '/home1/xuyilun/data_text/Cornell/Cornell'

f = io.mmread(os.path.join(path,'cornell_content.mtx'))
N = f.todense().shape[0]
training_split = int(N * 0.7)
view_train[1] = torch.from_numpy(f.todense()).float()[:training_split]
view_test[1] = torch.from_numpy(f.todense()).float()[training_split:]

f = io.mmread(os.path.join(path,'cornell_cites.mtx'))
view_train[2] = torch.from_numpy(f.todense()).float()[:training_split]
view_test[2] = torch.from_numpy(f.todense()).float()[training_split:]

f = open(os.path.join(path,'cornell_act.txt'))
lines = f.read()
collect = []
for r in lines:
    if r >= '1' and r<= '5':
        collect += [int(r)-1]

label_train = np.array(collect)[:training_split]
label_test = np.array(collect)[training_split:]
split = int(len(label_train) * 0.3) #The fraction of the labeled data






