from scipy.io import loadmat
import numpy as np
import os
import re

import torch
import torch.utils.data
path = ".."

Big_dict = {'15':{},'30':{}}

def listDir(rootDir):

    collect = {}
    label = []
    idx = []
    for filename in os.listdir(rootDir):

        if filename == 'MMSE.mat':
            #print("MMSE:",rootDir)
            pathname = os.path.join(rootDir, filename)
            index = filename.find('.mat')
            table = filename[:int(index)]
            m = loadmat(pathname)
            m_ = np.array(m[table], dtype=np.float32)
            #print(m_)
            m_ = np.array(list(m_)).reshape(-1)
            #print(np.sort(np.array(m_)))

            for i in range(len(m_)):

                #if abs(m_[i] - 27)<1e-3 or abs(m_[i] - 26)<1e-3:
                    #idx+=[i]
                #print(i+1,m_[i])
                continue

        if filename == 'ADAS.mat':
            #print("ADAS:",rootDir)
            pathname = os.path.join(rootDir, filename)
            index = filename.find('.mat')
            table = filename[:int(index)]
            m = loadmat(pathname)
            m_ = np.array(m[table], dtype=np.float32)
            #print(m_)
            #print(np.sort(np.array(m_)))
            m_ = np.array(list(m_)).reshape(-1)
            #print(np.sort(np.array(m_)))
            '''
            print(idx)
            for i in range(len(idx)):
                print("ADAS:")
                print(idx[i],m_[i])
            '''




        if filename == '.DS_Store' or filename == 'MMSE.mat' or filename == 'CDR.mat':
            continue

        pathname = os.path.join(rootDir, filename)
        index = filename.find('.mat')
        table = filename[:int(index)]
        m = loadmat(pathname)
        m_ = np.array(m[table],dtype=np.float32)
        if filename == 'Label.mat':
            label = m_

        else:
            collect[table] = list(m_)

    return collect,label
def merge(c1,c2,c3):
    for key in c1.keys():
        c1[key] += c2[key]
        c1[key] += c3[key]
        c1[key] = np.array(c1[key])

    return c1
def list2np(c1):
    for key in c1.keys():

        c1[key] = np.array(c1[key])

    return c1
def dict_to_tensor(t_dict):
    "Concat all the values of different keys"
    table = 0
    for idx, key in enumerate(t_dict.keys()):
        if idx == 0:
            table = torch.from_numpy(t_dict[key])
        else:
            table = torch.cat((table, torch.from_numpy(t_dict[key])), dim=1)
    return table
#m = loadmat('../15T_MCI_m24_Label_C.mat')
#m = m['Label_C']
#m = np.array(m)
#for i in range(m.shape[0]):
    #if m[i]==2:
        #print("Index:{}, Label:{}".format(i+1,m[i]))
'''
c_AD, label_AD = listDir(os.path.join(path,'Label_AD'))
c_MCI, label_MCI = listDir(os.path.join(path,'Label_MCI'))
c_NC, label_NC = listDir(os.path.join(path,'Label_NC'))
NC_val = np.load('NC_vol.npy')
AD_val = np.load('AD_vol.npy')
MCI_val = np.load('MCI_vol.npy')
#label = np.concatenate((label_AD,label_MCI,label_NC),axis=0) + 1
#label = label.reshape((label.shape[0]))
f = open('Wechattrain_AD_NC_pair_625_0_semi_alltrain_adas.txt')


print(NC_val.shape)
print(label_NC.shape)
print(AD_val.shape)
print(label_AD.shape)
print(MCI_val.shape)
print((label_MCI==0).sum())
MCI_0 = MCI_val[np.array((label_MCI==0),dtype=np.int32)]
print(MCI_0.shape)

c_NC = list2np(c_NC)
c_AD = list2np(c_AD)
c_MCI = list2np(c_MCI)


Big_dict['15']['AD'] = dict_to_tensor(c_AD)
print("15T AD:",Big_dict['15']['AD'].shape)
Big_dict['15']['MCI'] = dict_to_tensor(c_MCI)
print("15T MCI:",Big_dict['15']['MCI'].shape)
Big_dict['15']['NC'] = dict_to_tensor(c_NC)
print("15T NC:",Big_dict['15']['NC'].shape)

c_AD_30T, label_AD_30T = listDir(os.path.join(path,'Label_AD_30T'))
c_MCI_30T, label_MCI_30T = listDir(os.path.join(path,'Label_MCI_30T'))
c_NC_30T, label_NC_30T = listDir(os.path.join(path,'Label_NC_30T'))
label_30T = np.concatenate((label_AD_30T,label_MCI_30T,label_NC_30T),axis=0) + 1
label_30T = label_30T.reshape((label_30T.shape[0]))


c_NC_30T = list2np(c_NC_30T)
c_AD_30T = list2np(c_AD_30T)
c_MCI_30T = list2np(c_MCI_30T)


Big_dict['30']['AD'] = dict_to_tensor(c_AD_30T)
print("30T AD:",Big_dict['30']['AD'].shape)
Big_dict['30']['MCI'] = dict_to_tensor(c_MCI_30T)
print("30T MCI:",Big_dict['15']['MCI'].shape)
Big_dict['30']['NC'] = dict_to_tensor(c_NC_30T)
print("30T NC:",Big_dict['30']['NC'].shape)

'''