import os
import random
import argparse


parser = argparse.ArgumentParser(description='PyTorch attribute learning')
parser.add_argument('--seed', type=int, default=0, help='training batch size')
parser.add_argument('--r', type=float, default=1., help='training batch size')
opt = parser.parse_args()
f = open('../dataset/Wechattrain_AD_NC_pair_625_0_semi_alltrain_adas.txt')

lines = f.readlines()


#print(lines)
#print(len(lines))
#seed = opt.seed
seed = opt.seed
a = [i for i in range(183)]
r = opt.r
print("Seed:{},r:{}".format(seed,r))
train_lines = []
mig_lines = []
random.seed(seed)
train_idx = random.sample(a,int(r*183))
for i in range(183):
    if i in train_idx:
        train_lines.append(lines[i])
    else:
        mig_lines.append(lines[i])

with open('../dataset/Wechattrain_AD_NC_pair_625_0_semi_train_2.txt','w') as f:
    f.writelines(train_lines)

with open('../dataset/Wechattrain_AD_NC_pair_625_0_semi_mig_2.txt','w') as f:
    f.writelines(mig_lines)


f = open('../dataset/Wechattest_AD_NC_pair_625_0_all_adas.txt')

lines = f.readlines()
a = [i for i in range(117)]
test_lines = []
val_lines = []
random.seed(seed)
train_idx = random.sample(a,int(0.5*117))
for i in range(117):
    if i in train_idx:
        test_lines.append(lines[i])
    else:
        val_lines.append(lines[i])

with open('../dataset/Wechattest_2_AD_NC_pair_625_0.txt','w') as f:
    f.writelines(test_lines)

with open('../dataset/Wechatvalidate_2_AD_NC_pair_625_0.txt','w') as f:
    f.writelines(val_lines)