import numpy as np
import scipy.misc
import os
import matplotlib.pyplot as plt
import numpy as np

#15T 30T  maxvalue = 1
input_filename = '/Users/aaronxu/Desktop/Experiment/imgFns/aal_V2.img'
dtype = np.dtype('uint8')
fid = open(input_filename, 'rb')
data = np.fromfile(fid, dtype)

img = data.reshape((91,109,91))
masks = np.zeros(img.shape)
masks[img == 37] = 1
masks[img == 38] = 1
masks[img == 39] = 1
masks[img == 40] = 1
max_val = -1
def go(rootdir):
    global max_val
    list = os.listdir(rootdir)  # 列出文件夹下所有的目录与文件

    for i in range(0, len(list)):

        path = os.path.join(rootdir, list[i])
        if path[-3:] == 'img':
            max_img = np.max(read_img(file_name=path))
            #print(max_img)
            max_val = max(max_img,max_val)




def read_img(file_name, normal=0, max_value=None):
    f = file_name[file_name.find('MCI_'):]

    c = f[:f.find('_')]
    num = f[f.find('_')+1:f.find('.')]
    dtype = np.dtype('float32')
    fid = open(file_name, 'rb')
    data = np.fromfile(fid, dtype)

    # img = 255.0 * data.reshape((91,109,91)) / np.max(data)
    # print np.max(data), np.min(data)
    img = data.reshape((91, 109, 91))

    img = masks * img
    # plt.imshow(img[20,9:100,:], cmap = "gray")
    if normal == 1:
        # img = 255.0 * img / max(max_value, np.max(img))
        img = 255.0 * img / 1.
    img = img.astype('int')

    full_img = np.zeros((96, 96, 96))
    full_img[48 - 46:48 + 45, :, 48 - 46:48 + 45] = img[:, 6:6 + 96, :]
    print(num)
    scipy.misc.imsave('/Users/aaronxu/Desktop/Experiment/imgFns/Patch_data_mask_PET/30T_MCI_'+num+'.png', full_img.reshape(96*96,96))
    return full_img

#read_img('/Users/aaronxu/Desktop/Experiment/imgFns/15T/AD/f15T_AD_3.img',normal=1,max_value=1)

#go('/Users/aaronxu/Desktop/Experiment/imgFns/30T/MCI/')
#go('/Users/aaronxu/Desktop/Experiment/imgFns/15T/NC/')
#go('/Users/aaronxu/Desktop/Experiment/imgFns/15T/MCI/')